version: "3.7"

services:
  lincs-uid:
    build:
      context: .
    environment:
      DATABASE_URL: postgresql://uidGen:postgres@postgres:5432/uid_db
    depends_on:
      - postgres
    ports:
      - "5000:5000"
      
  postgres:
    image: postgres:13
    environment:
      POSTGRES_DB: uid_db
      POSTGRES_USER: uidGen
      POSTGRES_PASSWORD: postgres
    ports:
      - "5432:5432"
    volumes:
      - lincs-uid-db:/var/lib/postgresql/data

volumes:
  lincs-uid-db:
